> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# HCHttpCallRequestGetRequestBodyReadFunction

> HCHttpCallRequestGetRequestBodyReadFunction

Get the function used by the HTTP call to read the request body

## Syntax

```cpp theme={null}
HRESULT HCHttpCallRequestGetRequestBodyReadFunction(  
         HCCallHandle call,  
         HCHttpCallRequestBodyReadFunction* readFunction,  
         size_t* bodySize,  
         void** context  
)  
```

### Parameters

*call*   \_In\_\
Type: HCCallHandle

The handle of the HTTP call.

*readFunction*   \_Out\_\
Type: HCHttpCallRequestBodyReadFunction\*

The read function of this HTTP call.

*bodySize*   \_Out\_\
Type: size\_t\*

The size of the body.

*context*   \_Out\_\
Type: void\*\*

The context associated with this read function.

### Return value

Type: HRESULT

Result code for this API operation. Possible values are S\_OK, E\_INVALIDARG, or E\_FAIL.

## Requirements

**Header:** httpProvider.h

**Library:** libHttpClient.lib

**Supported platforms:** Windows, XBOX One family consoles and XBOX Series consoles

## See also

[httpProvider](https://docs.xbox.com/reference/live/httpclient/httpprovider/httpprovider_members.md)


## Related topics

- [HCHttpCallRequestGetRequestBodyBytes](https://docs.xbox.com/reference/live/httpclient/httpprovider/functions/hchttpcallrequestgetrequestbodybytes.md)
- [HCCallPerformFunction](https://docs.xbox.com/reference/live/httpclient/httpprovider/functions/hccallperformfunction.md)
- [httpProvider (contents)](https://docs.xbox.com/reference/live/httpclient/httpprovider/httpprovider_members.md)
- [HCHttpCallRequestBodyReadFunction](https://docs.xbox.com/reference/live/httpclient/httpclient/functions/hchttpcallrequestbodyreadfunction.md)
- [HCHttpCallRequestSetRequestBodyReadFunction](https://docs.xbox.com/reference/live/httpclient/httpclient/functions/hchttpcallrequestsetrequestbodyreadfunction.md)
